<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class horario{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar registro
//($idhorario,$horai,$horario1,$descripcion)

public function insertar($horai,$horario1,$descripcion){
	$sql="INSERT INTO horarios (horai,horario,descripcion,condicion) VALUES ('$horai','$horario1','$descripcion','1')";
	//echo $sql;
    return ejecutarConsulta($sql);
}

public function editar($idhorario,$horai,$horario1,$descripcion){
	$sql="UPDATE horarios SET horai='$horai',horario='$horario1',descripcion='$descripcion' 
	WHERE idhorario='$idhorario'";
	//echo $sql;
    return ejecutarConsulta($sql);
}
public function desactivar($idhorario){
	$sql="UPDATE horarios SET condicion='0' WHERE idhorario='$idhorario'";
	return ejecutarConsulta($sql);
}
public function activar($idhorario){
	$sql="UPDATE horarios SET condicion='1' WHERE idhorario='$idhorario'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idhorario){
	$sql="SELECT * FROM horarios WHERE idhorario='$idhorario'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM horarios";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM horarios WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
